Bug 1383626 - [RFE] Allow access to errata data from templates
Summary: [RFE] Allow access to errata data from templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Daniel Lobato Garcia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-11 09:40 UTC by Sean O'Keeffe
Modified: 2019-09-25 20:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16857 0 None None None 2016-10-12 10:05:10 UTC

Description Sean O'Keeffe 2016-10-11 09:40:28 UTC
Description of problem:

In a template we would like to allow access to errata data, we could then use the "reboot_suggested" flag when a errata is being applied in a Job template to decided if we need to reboot.


Version-Release number of selected component (if applicable):
6.2

How reproducible:
100%

Steps to Reproduce:
1. you cannot access errata data without safemode = false
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Bryan Kearney 2016-10-12 12:16:34 UTC
Upstream bug component is Content Management

Comment 2 Bryan Kearney 2016-10-13 14:17:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16857 has been resolved.

Comment 4 Daniel Lobato Garcia 2017-08-30 10:28:18 UTC
Verified.

Tested on Satellite 6.3 - Snap 3

Previewing a template with:

<%= errata(<Errata_ID>) -%>

throws no error, when Safemode is on.

Comment 5 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.